%% run models 
clear all
datadir='c:\temp\datadir\';

corrientesinicial='random';
% corrientesinicial='bordes';
barridos={'inout' 'updown' 'sigmacurr'};
barridos={'sigmacurr' 'inout' 'updown'};
sizes={'27x21' '40x34' '68x60' '90x80'};
tic
for indsize=1
    for indbarrido=1:3
        sizestr=sizes{indsize};
        variablebarrido=barridos{indbarrido};
        fprintf('%s %s\n',sizestr,variablebarrido)
        RES=fun_circulacion.barrido(datadir,sizestr,variablebarrido,corrientesinicial);
    end    
end

disp('Listo')


%% Calculate nloops and bifurcations 
clear all
datadir='c:\temp\datadir\';
corrientesiniciales={'random' 'bordes'};
barridos={'inout' 'updown' 'sigmacurr'};
sizes={'27x21' '40x34' '68x60' '90x80'};
tic
for indsize=1%1:length(sizes)
    for indbarrido=1:length(barridos)
        for indcorrini=1%1:length(corrientesiniciales)
            sizestr=sizes{indsize};        
            variablebarrido=barridos{indbarrido};
            corrientesinicial=corrientesiniciales{indcorrini};
            
            filenamein  = sprintf('RES_caso_real_%s_barrido_%s_1entrada_%s',sizestr,variablebarrido,corrientesinicial);
            filenameout = [filenamein '_calc' ];
            load([datadir filenamein])       
            RES=[RES.init];
            RES=fun_circulacion.agrego_nloops_bifurcacion(RES);
            save([datadir filenameout '.mat'],'RES')            
            fprintf('\b%d/%d %d/%d %d/%d %2.2fs\n\n', ...
                indsize,length(sizes),indbarrido,length(barridos),indcorrini,length(corrientesiniciales),toc)
        end
    end
end